NPM-SHRINKWRAP()

NAME
npm-shrinkwrap

Lock down dependency versions for publication

  Synopsis

    npm shrinkwrap

  Description

This command repurposes package-lock.json into a publishable npm-shrinkwrap.json or simply creates a new one. The file created and updated by this command will then take precedence over any other existing or future package-lock.json files. For a detailed explanation of the design and purpose of package locks in npm, see npm-package-locks npm-package-locks.

  See Also

    •   npm help npm-install

    •   npm help npm-run-script

    •   npm help scripts

    •   npm help package-json

    •   npm help package-locks

    •   npm help package-lock-json

    •   npm help shrinkwrap-json

    •   npm help npm-ls